libzypp: zypp::target::rpm::RemoveResolvableReport Struct Reference

libzypp 17.36.6

Public Types | Public Member Functions | Static Public Attributes | List of all members
zypp::target::rpm::RemoveResolvableReport Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::target::rpm::RemoveResolvableReport:

## Public Types
enum | Action { ABORT , RETRY , IGNORE }
enum | Error { NO_ERROR , NOT_FOUND , IO , INVALID }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (Resolvable::constPtr)
virtual bool | progress (int, Resolvable::constPtr)
virtual Action | problem (Resolvable::constPtr, Error, const std::string &)
virtual void | finish (Resolvable::constPtr, Error, const std::string &)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Static Public Attributes
static const UserData::ContentType contentRpmout | ZYPP_API
| "rpmout/removepkg": Additional rpm output (sent immediately).

## Detailed Description

Definition at line 645 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::target::rpm::RemoveResolvableReport::Action

Enumerator
ABORT |
RETRY |
IGNORE |

Definition at line 647 of file ZYppCallbacks.h.

## ◆ Error

enum zypp::target::rpm::RemoveResolvableReport::Error

Enumerator
NO_ERROR |
NOT_FOUND |
IO |
INVALID |

Definition at line 653 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::target::rpm::RemoveResolvableReport::start | ( | Resolvable::constPtr |  | ) |
| inlinevirtual

Definition at line 660 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::target::rpm::RemoveResolvableReport::progress | ( | int | ,
|  | Resolvable::constPtr | )
| inlinevirtual

Definition at line 664 of file ZYppCallbacks.h.

## ◆ problem()

virtual Action zypp::target::rpm::RemoveResolvableReport::problem | ( | Resolvable::constPtr | ,
|  | Error | ,
|  | const std::string & | )
| inlinevirtual

Definition at line 667 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::target::rpm::RemoveResolvableReport::finish | ( | Resolvable::constPtr | ,
|  | Error | ,
|  | const std::string & | )
| inlinevirtual

Definition at line 673 of file ZYppCallbacks.h.

## Member Data Documentation

## ◆ ZYPP_API

const UserData::ContentType contentRpmout zypp::target::rpm::RemoveResolvableReport::ZYPP_API
| static

"rpmout/removepkg": Additional rpm output (sent immediately).

For data

See also
  InstallResolvableReport::contentRpmout

Definition at line 682 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h